logo
Loading...

MaxRetryError & ConnectionError - Cupoy

請教一下以下的nError怎樣解決? 是否因為連結太頻密?但是我的關鍵詞只有10個(搜尋字詞為"投資...

pycrawler,pycrawler-d16

MaxRetryError & ConnectionError

2020/06/24 06:32 AM
Python網路爬蟲論壇
Leo Siu
觀看數:0
回答數:2
收藏數:0
pycrawler
pycrawler-d16

請教一下以下的nError怎樣解決? 是否因為連結太頻密?


但是我的關鍵詞只有10個(搜尋字詞為"投資"),而且只運行了2行就錯誤了(如下)


遞迴層[0] - /wiki/%E6%8A%95%E8%B3%87 (投資)
遞迴層[1] - link (/wiki/%E5%AD%98%E6%AC%BE%E4%BF%9D%E9%9A%AA)


MaxRetryError: HTTPSConnectionPool(host='zh.wikipedia.orglink', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x000001A46D545550>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))

During handling of the above exception, another exception occurred:

ConnectionError: HTTPSConnectionPool(host='zh.wikipedia.orglink', port=443): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x000001EE28DA74A8>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed'))